<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.layout.internal.util.LayoutCopyHelperImpl">
  <service>
    <provide interface="com.liferay.layout.util.LayoutCopyHelper"/>
  </service>
  <reference name="_assetCategoryLocalService" interface="com.liferay.asset.kernel.service.AssetCategoryLocalService" field="_assetCategoryLocalService"/>
  <reference name="_assetTagLocalService" interface="com.liferay.asset.kernel.service.AssetTagLocalService" field="_assetTagLocalService"/>
  <reference name="_clientExtensionEntryRelLocalService" interface="com.liferay.client.extension.service.ClientExtensionEntryRelLocalService" field="_clientExtensionEntryRelLocalService"/>
  <reference name="_commentManager" interface="com.liferay.portal.kernel.comment.CommentManager" field="_commentManager"/>
  <reference name="_counterLocalService" interface="com.liferay.counter.kernel.service.CounterLocalService" field="_counterLocalService"/>
  <reference name="_fragmentEntryLinkLocalService" interface="com.liferay.fragment.service.FragmentEntryLinkLocalService" field="_fragmentEntryLinkLocalService"/>
  <reference name="_imageLocalService" interface="com.liferay.portal.kernel.service.ImageLocalService" field="_imageLocalService"/>
  <reference name="_layoutClassedModelUsageLocalService" interface="com.liferay.layout.service.LayoutClassedModelUsageLocalService" field="_layoutClassedModelUsageLocalService"/>
  <reference name="_layoutLocalService" interface="com.liferay.portal.kernel.service.LayoutLocalService" field="_layoutLocalService"/>
  <reference name="_layoutPageTemplateStructureLocalService" interface="com.liferay.layout.page.template.service.LayoutPageTemplateStructureLocalService" field="_layoutPageTemplateStructureLocalService"/>
  <reference name="_layoutSEOEntryLocalService" interface="com.liferay.layout.seo.service.LayoutSEOEntryLocalService" field="_layoutSEOEntryLocalService"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <reference name="_portletLocalService" interface="com.liferay.portal.kernel.service.PortletLocalService" field="_portletLocalService"/>
  <reference name="_portletPreferencesFactory" interface="com.liferay.portal.kernel.portlet.PortletPreferencesFactory" field="_portletPreferencesFactory"/>
  <reference name="_portletPreferencesLocalService" interface="com.liferay.portal.kernel.service.PortletPreferencesLocalService" field="_portletPreferencesLocalService"/>
  <reference name="_portletRegistry" interface="com.liferay.fragment.processor.PortletRegistry" field="_portletRegistry"/>
  <reference name="_resourcePermissionLocalService" interface="com.liferay.portal.kernel.service.ResourcePermissionLocalService" field="_resourcePermissionLocalService"/>
  <reference name="_roleLocalService" interface="com.liferay.portal.kernel.service.RoleLocalService" field="_roleLocalService"/>
  <reference name="_segmentsExperienceLocalService" interface="com.liferay.segments.service.SegmentsExperienceLocalService" field="_segmentsExperienceLocalService"/>
  <reference name="_sites" interface="com.liferay.sites.kernel.util.Sites" field="_sites"/>
  <reference name="_userLocalService" interface="com.liferay.portal.kernel.service.UserLocalService" field="_userLocalService"/>
  <implementation class="com.liferay.layout.internal.util.LayoutCopyHelperImpl"/>
</scr:component>
